Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Lars Vogel-2
Hi,

Ubuntu 17.10 show in the console log constantly the following errors:

(Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
!= NULL' faile

This make Eclipes look not very good. See screenshot.

Any change that you could fix that in SWT?

Best regards, Lars


--
Eclipse Platform project co-lead
CEO vogella GmbH

Haindaalwisch 17a, 22395 Hamburg
Amtsgericht Hamburg: HRB 127058
Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
USt-IdNr.: DE284122352
Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com

_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev

Selection_097.png (197K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Eric Williams
Hi Lars,

On 11/09/2017 02:13 PM, Lars Vogel wrote:

> Hi,
>
> Ubuntu 17.10 show in the console log constantly the following errors:
>
> (Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
> != NULL' faile
>
> This make Eclipes look not very good. See screenshot.
>
> Any change that you could fix that in SWT?


Does this happen with Unity? On Fedora 26 with GTK3.22 (same GTK version
as Ubuntu 17.10), I am not seeing any of these messages.

Can you try with the GNOME desktop and see if the issue is reproducible?


--
Eric Williams
Associate Software Engineer - Eclipse Team
Red Hat
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Stephan Herrmann-2
The same can be observed in Kubuntu (KDE).
(not a new issue, btw)

Stephan

On 09.11.2017 20:21, Eric Williams wrote:

> Hi Lars,
>
> On 11/09/2017 02:13 PM, Lars Vogel wrote:
>> Hi,
>>
>> Ubuntu 17.10 show in the console log constantly the following errors:
>>
>> (Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
>> != NULL' faile
>>
>> This make Eclipes look not very good. See screenshot.
>>
>> Any change that you could fix that in SWT?
>
>
> Does this happen with Unity? On Fedora 26 with GTK3.22 (same GTK version as Ubuntu 17.10), I am not seeing any of these messages.
>
> Can you try with the GNOME desktop and see if the issue is reproducible?
>
>

_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Lars Vogel-2
In reply to this post by Eric Williams
Hi,

no, 17.10 moved away from Unity and uses standard Gnome.

> Can you try with the GNOME desktop and see if the issue is reproducible?

I'm using Gnome together with the X-Server.

Best regards, Lars

On Thu, Nov 9, 2017 at 8:21 PM, Eric Williams <[hidden email]> wrote:

> Hi Lars,
>
> On 11/09/2017 02:13 PM, Lars Vogel wrote:
>>
>> Hi,
>>
>> Ubuntu 17.10 show in the console log constantly the following errors:
>>
>> (Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
>> != NULL' faile
>>
>> This make Eclipes look not very good. See screenshot.
>>
>> Any change that you could fix that in SWT?
>
>
>
> Does this happen with Unity? On Fedora 26 with GTK3.22 (same GTK version as
> Ubuntu 17.10), I am not seeing any of these messages.
>
> Can you try with the GNOME desktop and see if the issue is reproducible?
>
>
> --
> Eric Williams
> Associate Software Engineer - Eclipse Team
> Red Hat
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from
> this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev



--
Eclipse Platform project co-lead
CEO vogella GmbH

Haindaalwisch 17a, 22395 Hamburg
Amtsgericht Hamburg: HRB 127058
Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
USt-IdNr.: DE284122352
Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Thomas Singer
In reply to this post by Eric Williams
Hi Lars and Eric,

IIRC, Ubuntu 17.10 ditched Unity and uses Gnome now. I have seen similar
error output today trying to run Snippet26 with GTK 3 support.

--
Cheers,
Thomas

On 09.11.2017 20:21, Eric Williams wrote:

> Hi Lars,
>
> On 11/09/2017 02:13 PM, Lars Vogel wrote:
>> Hi,
>>
>> Ubuntu 17.10 show in the console log constantly the following errors:
>>
>> (Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
>> != NULL' faile
>>
>> This make Eclipes look not very good. See screenshot.
>>
>> Any change that you could fix that in SWT?
>
>
> Does this happen with Unity? On Fedora 26 with GTK3.22 (same GTK version
> as Ubuntu 17.10), I am not seeing any of these messages.
>
> Can you try with the GNOME desktop and see if the issue is reproducible?
>
>
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Aleksandar Kurtakov
In reply to this post by Lars Vogel-2
For the record:
SWT doesn't have a binding for g_base64_encode_step and doesn't use it
directly. So this ends up blowing in the theme shipped. I wonder
whether anyeone sees this with other themes - the more you can try the
better. If not the bug should be reported against Ubuntu theme.

On Thu, Nov 9, 2017 at 9:26 PM, Lars Vogel <[hidden email]> wrote:

> Hi,
>
> no, 17.10 moved away from Unity and uses standard Gnome.
>
>> Can you try with the GNOME desktop and see if the issue is reproducible?
>
> I'm using Gnome together with the X-Server.
>
> Best regards, Lars
>
> On Thu, Nov 9, 2017 at 8:21 PM, Eric Williams <[hidden email]> wrote:
>> Hi Lars,
>>
>> On 11/09/2017 02:13 PM, Lars Vogel wrote:
>>>
>>> Hi,
>>>
>>> Ubuntu 17.10 show in the console log constantly the following errors:
>>>
>>> (Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
>>> != NULL' faile
>>>
>>> This make Eclipes look not very good. See screenshot.
>>>
>>> Any change that you could fix that in SWT?
>>
>>
>>
>> Does this happen with Unity? On Fedora 26 with GTK3.22 (same GTK version as
>> Ubuntu 17.10), I am not seeing any of these messages.
>>
>> Can you try with the GNOME desktop and see if the issue is reproducible?
>>
>>
>> --
>> Eric Williams
>> Associate Software Engineer - Eclipse Team
>> Red Hat
>> _______________________________________________
>> platform-swt-dev mailing list
>> [hidden email]
>> To change your delivery options, retrieve your password, or unsubscribe from
>> this list, visit
>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>
>
>
> --
> Eclipse Platform project co-lead
> CEO vogella GmbH
>
> Haindaalwisch 17a, 22395 Hamburg
> Amtsgericht Hamburg: HRB 127058
> Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
> USt-IdNr.: DE284122352
> Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev



--
Alexander Kurtakov
Red Hat Eclipse Team
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Jonah Graham
It isn't just Unity/Gnome that has errors. It has been pretty standard
for as long as I can remember for Gtk to be very noisy. On my Xubuntu
system I have continuous stream of these messages + others like the
following, with no noticeable effect on behaviour:

(Eclipse:2797): Gtk-CRITICAL **: gtk_box_gadget_distribute: assertion
'size >= 0' failed in GtkScrollbar
(Eclipse:2797): Gtk-WARNING **: Allocating size to GtkScrolledWindow
0x7fa3f8415e40 without calling
gtk_widget_get_preferred_width/height(). How does the code know the
size to allocate?

In the past the answer was change my theme/window manager. That seems
to normally fix such problems, but does not really solve the problem.

AFAIU this is as much a Gtk design decision as anything else, and it
does not just affect Eclipse:
https://askubuntu.com/questions/505594/how-to-stop-gedit-and-other-programs-from-outputting-gtk-warnings-and-the-like

I commend the SWT maintainers for trying to stay on top of all the
themes and window managers out there.

Jonah


~~~
Jonah Graham
Kichwa Coders Ltd.
www.kichwacoders.com


On 9 November 2017 at 19:37, Aleksandar Kurtakov <[hidden email]> wrote:

> For the record:
> SWT doesn't have a binding for g_base64_encode_step and doesn't use it
> directly. So this ends up blowing in the theme shipped. I wonder
> whether anyeone sees this with other themes - the more you can try the
> better. If not the bug should be reported against Ubuntu theme.
>
> On Thu, Nov 9, 2017 at 9:26 PM, Lars Vogel <[hidden email]> wrote:
>> Hi,
>>
>> no, 17.10 moved away from Unity and uses standard Gnome.
>>
>>> Can you try with the GNOME desktop and see if the issue is reproducible?
>>
>> I'm using Gnome together with the X-Server.
>>
>> Best regards, Lars
>>
>> On Thu, Nov 9, 2017 at 8:21 PM, Eric Williams <[hidden email]> wrote:
>>> Hi Lars,
>>>
>>> On 11/09/2017 02:13 PM, Lars Vogel wrote:
>>>>
>>>> Hi,
>>>>
>>>> Ubuntu 17.10 show in the console log constantly the following errors:
>>>>
>>>> (Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
>>>> != NULL' faile
>>>>
>>>> This make Eclipes look not very good. See screenshot.
>>>>
>>>> Any change that you could fix that in SWT?
>>>
>>>
>>>
>>> Does this happen with Unity? On Fedora 26 with GTK3.22 (same GTK version as
>>> Ubuntu 17.10), I am not seeing any of these messages.
>>>
>>> Can you try with the GNOME desktop and see if the issue is reproducible?
>>>
>>>
>>> --
>>> Eric Williams
>>> Associate Software Engineer - Eclipse Team
>>> Red Hat
>>> _______________________________________________
>>> platform-swt-dev mailing list
>>> [hidden email]
>>> To change your delivery options, retrieve your password, or unsubscribe from
>>> this list, visit
>>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>>
>>
>>
>> --
>> Eclipse Platform project co-lead
>> CEO vogella GmbH
>>
>> Haindaalwisch 17a, 22395 Hamburg
>> Amtsgericht Hamburg: HRB 127058
>> Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
>> USt-IdNr.: DE284122352
>> Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com
>> _______________________________________________
>> platform-swt-dev mailing list
>> [hidden email]
>> To change your delivery options, retrieve your password, or unsubscribe from this list, visit
>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>
>
>
> --
> Alexander Kurtakov
> Red Hat Eclipse Team
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|

Re: Ubuntu 17.10 shows lots of (Eclipse:4358): GLib-CRITICA assertion errors

Aleksandar Kurtakov
On Thu, Nov 9, 2017 at 11:02 PM, Jonah Graham <[hidden email]> wrote:

> It isn't just Unity/Gnome that has errors. It has been pretty standard
> for as long as I can remember for Gtk to be very noisy. On my Xubuntu
> system I have continuous stream of these messages + others like the
> following, with no noticeable effect on behaviour:
>
> (Eclipse:2797): Gtk-CRITICAL **: gtk_box_gadget_distribute: assertion
> 'size >= 0' failed in GtkScrollbar
> (Eclipse:2797): Gtk-WARNING **: Allocating size to GtkScrolledWindow
> 0x7fa3f8415e40 without calling
> gtk_widget_get_preferred_width/height(). How does the code know the
> size to allocate?

These are other issues. I was commenting for the one Lars mentioned
exactly.  The one you speak about is tracked in
https://bugs.eclipse.org/bugs/show_bug.cgi?id=486068 . We are slightly
chasing these issues as much as man power permits.

>
> In the past the answer was change my theme/window manager. That seems
> to normally fix such problems, but does not really solve the problem.
>
> AFAIU this is as much a Gtk design decision as anything else, and it
> does not just affect Eclipse:
> https://askubuntu.com/questions/505594/how-to-stop-gedit-and-other-programs-from-outputting-gtk-warnings-and-the-like
>
> I commend the SWT maintainers for trying to stay on top of all the
> themes and window managers out there.
>
> Jonah
>
>
> ~~~
> Jonah Graham
> Kichwa Coders Ltd.
> www.kichwacoders.com
>
>
> On 9 November 2017 at 19:37, Aleksandar Kurtakov <[hidden email]> wrote:
>> For the record:
>> SWT doesn't have a binding for g_base64_encode_step and doesn't use it
>> directly. So this ends up blowing in the theme shipped. I wonder
>> whether anyeone sees this with other themes - the more you can try the
>> better. If not the bug should be reported against Ubuntu theme.
>>
>> On Thu, Nov 9, 2017 at 9:26 PM, Lars Vogel <[hidden email]> wrote:
>>> Hi,
>>>
>>> no, 17.10 moved away from Unity and uses standard Gnome.
>>>
>>>> Can you try with the GNOME desktop and see if the issue is reproducible?
>>>
>>> I'm using Gnome together with the X-Server.
>>>
>>> Best regards, Lars
>>>
>>> On Thu, Nov 9, 2017 at 8:21 PM, Eric Williams <[hidden email]> wrote:
>>>> Hi Lars,
>>>>
>>>> On 11/09/2017 02:13 PM, Lars Vogel wrote:
>>>>>
>>>>> Hi,
>>>>>
>>>>> Ubuntu 17.10 show in the console log constantly the following errors:
>>>>>
>>>>> (Eclipse:4358): GLib-CRITICAL **: g_base64_encode_step: assertion 'in
>>>>> != NULL' faile
>>>>>
>>>>> This make Eclipes look not very good. See screenshot.
>>>>>
>>>>> Any change that you could fix that in SWT?
>>>>
>>>>
>>>>
>>>> Does this happen with Unity? On Fedora 26 with GTK3.22 (same GTK version as
>>>> Ubuntu 17.10), I am not seeing any of these messages.
>>>>
>>>> Can you try with the GNOME desktop and see if the issue is reproducible?
>>>>
>>>>
>>>> --
>>>> Eric Williams
>>>> Associate Software Engineer - Eclipse Team
>>>> Red Hat
>>>> _______________________________________________
>>>> platform-swt-dev mailing list
>>>> [hidden email]
>>>> To change your delivery options, retrieve your password, or unsubscribe from
>>>> this list, visit
>>>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>>>
>>>
>>>
>>> --
>>> Eclipse Platform project co-lead
>>> CEO vogella GmbH
>>>
>>> Haindaalwisch 17a, 22395 Hamburg
>>> Amtsgericht Hamburg: HRB 127058
>>> Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
>>> USt-IdNr.: DE284122352
>>> Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com
>>> _______________________________________________
>>> platform-swt-dev mailing list
>>> [hidden email]
>>> To change your delivery options, retrieve your password, or unsubscribe from this list, visit
>>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>>
>>
>>
>> --
>> Alexander Kurtakov
>> Red Hat Eclipse Team
>> _______________________________________________
>> platform-swt-dev mailing list
>> [hidden email]
>> To change your delivery options, retrieve your password, or unsubscribe from this list, visit
>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev



--
Alexander Kurtakov
Red Hat Eclipse Team
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev